Subject: bug#4216: 23.1; frame switching -vs- input buffering

From: Tom Tromey <[email-masked]>
Date: Thu, 20 Aug 2009 14:58:45 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

My standard Emacs setup has two frames side-by-side.
I often switch between the frames using `other-frame'.

If I am typing quickly, and type the binding for other-frame
(here C-z o, but C-x 5 n should work as well) followed immediately by
other text, the subsequent text will often go to the previous frame.

I expect other-frame to be synchronous in its operation with respect to
other typing I do afterward.  Currently I have to pause after
other-frame, to let Emacs "catch up" and move its focus to the other
frame before resuming.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-03 on x86-5.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  highlight-changes-visible-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
o C-z o : ) <return> C-z o p p p M-g M-g M-g M-g C-l 
C-u C-n C-u C-n C-u C-n n M-g M-g M-g C-u C-p SPC <switch-frame> 
C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v 
C-v C-v C-v C-v ESC v ESC v C-r - W C-a C-x o C-x b 
RET C-g C-c g 2 7 RET C-x C-g C-g C-x b RET ESC < C-s 
G U A L C H K ( C-a <switch-frame> C-z o C-z o M-> 
C-u C-u C-p Q y M-g M-g M-g s M-v M-v C-z o o f SPC 
a l l SPC o f SPC t o o l s , SPC s u p p l a n t i 
n g SPC u l i ? <return> o r SPC j u s t SPC g c c 
/ <backspace> ? <return> <f10> <f10> <f10> <f10> C-z 
o C-l C-v C-u C-n C-u C-n C-n C-n C-n 1 g n SPC 5 0 
<return> M-> C-u C-p SPC E S-SPC E S-SPC E C-p C-p 
SPC P E S-SPC E C-z o <f10> <f10> C-z o = C-l C-z o 
s o SPC h e SPC w u l <backspace> <backspace> o u l 
d SPC b e SPC g c c SPC t e c h SPC l e a d ? <return> 
I ' m SPC j u s t SPC w o n d e r i n g SPC w h e r 
e SPC h e ' d SPC f i t SPC i n SPC o v e r a l l <return> 
<f10> <f10> <f10> <f10> <f10> C-z o M-x r e p o r t 
- e m <tab> b <tab> <return>

Recent messages:
Opening nnml server...done
Checking new news...done
Retrieving newsgroup: nnml:mail.other...
Fetching headers for nnml:mail.other...done
Scoring...done
Scoring...done
Generating summary...done
Mark set
No more unread articles
No more articles

Tom